
#import <appkit/appkit.h>

#define	B_VERSION	( 1.0 )
#define B_RELEASE	( 0.13 )

#define	B_ON_THE_HOUR	( 1 )
#define B_QUARTER_AFTER	( 2 )
#define	B_HALF_AFTER	( 3 )
#define	B_QUARTER_TILL	( 4 )

// TextCell tags for the TextFieldForm
#define	HOURS	( 0 )
#define MINUTES ( 1 )
#define SECONDS	( 2 )


@interface BongAppController:Application
{
	id	soundTextField;
	id	timeForm;
	int	bongCount;
	id	defaultsStringTable;
	id	theMainWindow;
	id	infoPanel;
	id	revisionTextField;
	id	whenToPlayMatrix;
}

void updateTimeAndCheck();

- setBongSound:sender;
- appDidInit:sender;
- showInfoPanel:sender;
- setWhenToPlay:sender;
- smashClock:sender;
- (BOOL)_allowedToPlayAt:(int)timeRequested;

// Support methods
- updateTimeAndCheck;

// Text delegate methods
- (BOOL)textWillEnd:sender;

@end
